public class Lab {
    private Student[] students;
    private int avg;
    private String day;
    private int capacity;
    private int currentSize;

    /**
     * constructor
     *
     * @param cap is the lab capacity
     * @param d   is the date
     */
    public Lab(int cap, String d) {
        capacity = cap;
        day = d;
        currentSize = 0;
    }

    /**
     * checks if the student can enroll to the class
     */
    public void enrollment(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std;
            currentSize++;
        } else {
            System.out.println("lab is full!!!");
        }
    }

    /**
     * prints
     */
    public void print() {
        /*
       // System.out.println("capacity: " + capacity + "current size: " + );
        int i = 0;
        for(Student s : students){
           // System.out.println(i + ")" + "first name: " + s.getFirstName() + "last name: " + s.getGrade());
            System.out.print(i + ")" );
            s.print();
        }

         */
        for (int i = 0; i < students.length; i++) {
            System.out.println("std fname: " + students[i].getFirstName() + " std id:" + students[i].getId() + " std grade:" + students[i].getGrade());
        } System.out.println("Lab AVG:" + avg);
    }

    /**
     * getter for students
     *
     * @return the students list as an array
     */
    public Student[] getStudents() {
        return students;
    }

    /**
     * setter for students
     *
     * @param students is the new students list
     */
    public void setStudents(Student[] students) {
        this.students = students;

    }

    /**
     * getter for average
     * @return avg average
     */
    public int getAvg() {
        return avg;
    }

    /**
     * calculates the students average
     */
    public void calculateAvg() {
        int sum = 0;
        int i = 0;
        for (; i < students.length; i++) {
            sum += students[i].getGrade();
        }
        avg = sum / i;
    }

    /**
     * getter for day
     * @return day
     */
    public String getDay() {
        return day;
    }

    /**
     * a setter for day
     * @param day will set the day
     */
    public void setDay(String day){
        this.day = day;
    }
    /**
     * a getter for capacity
     * @return the class capacity
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     * a setter for capacity
     * @param capacity will be the new lab capacity
     */
    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }
}

